tbb::internal::rml::padded_private_worker Class Reference
Inheritance diagram for tbb::internal::rml::padded_private_worker:
Collaboration diagram for tbb::internal::rml::padded_private_worker:

## Public Member Functions

| padded_private_worker (private_server &server, tbb_client &client, const size_t i)

## Private Attributes

char | pad [cache_line_size - sizeof(private_worker)%cache_line_size]

## Additional Inherited Members

Protected Member Functions inherited from tbb::internal::rml::private_worker
| private_worker (private_server &server, tbb_client &client, const size_t i)

## Detailed Description

Definition at line 108 of file private_server.cpp.

## Constructor & Destructor Documentation

## padded_private_worker()

tbb::internal::rml::padded_private_worker::padded_private_worker | ( | private_server & | server,
|  | tbb_client & | client,
|  | const size_t | i
| ) |  |

inline

Definition at line 111 of file private_server.cpp.

: private_worker(server,client,i) { suppress_unused_warning(pad); }

References pad, and tbb::internal::suppress_unused_warning().

Here is the call graph for this function:

## Member Data Documentation

## pad

char tbb::internal::rml::padded_private_worker::pad[cache_line_size - sizeof(private_worker)%cache_line_size]

private

Definition at line 109 of file private_server.cpp.

Referenced by padded_private_worker().

The documentation for this class was generated from the following file:

- private_server.cpp

tbb::internal::rml::private_worker::private_worker
private_worker(private_server &server, tbb_client &client, const size_t i)
Definition: private_server.cpp:92
tbb::internal::suppress_unused_warning
void suppress_unused_warning(const T1 &)
Utility template function to prevent "unused" warnings by various compilers.
Definition: tbb_stddef.h:398
tbb::internal::rml::padded_private_worker::pad
char pad[cache_line_size - sizeof(private_worker)%cache_line_size]
Definition: private_server.cpp:109

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.